【漏洞通告】GitLab 远程代码执行漏洞

2021-03-26 6,038


1. 通告信息



2021年318日,安识科技A-Team团队监测到 GitLab官方发布了GitLab远程代码执行的安全通告,GitLab CE/EE中存在一个漏洞,该漏洞影响了从GitLab13.2开始的所有版本,它允许未经身份验证的用户执行服务器上的任意代码,存在严重的安全问题。安识科技建议广大用户及时将GitLab升级到最新版本,以免遭受漏洞攻击。

 

2. 漏洞概述


GitLab是由GitLabInc开发,使用MIT许可证的基于网络的Git仓库管理工具,且具有wiki和issue跟踪功能。使用Git作为代码管理工具,并在此基础上搭建起来的web服务。

GitLab社区版(CE)和企业版(EE)中存在远程代码执行漏洞,未经授权的攻击者可以通过可控的markdown渲染代码,从而造成代码执行。

 

3. 漏洞危害



攻击者通过利用漏洞可以造成远程代码执行,进一步接管服务器,存在极大的安全隐患。

 

4. 影响版本



漏洞影响的版本包括:

GitLab:< 13.9.4

GitLab:< 13.8.6

GitLab:< 13.7.9


5. 解决方案



安识科技建议升级GitLab到最新版本,参考文档:

https://about.gitlab.com/releases/2021/03/16/security-release-gitlab-13-9-4-released

 

6. 时间轴



-】2021年3月16日 GitLab 官方发布安全公告

-】2021年3月18日 安识科技A-Team团队根据官网公告分析

-】2021年3月18日 安识科技A-Team团队发布安全通告

 


本文作者:安识科技

本文为安全脉搏专栏作者发布,转载请注明:https://www.secpulse.com/archives/155856.html

Tags:
评论  (0)
快来写下你的想法吧!

安识科技

文章数:77 积分: 135

安识科技:专业的企业安全解决方案提供商。官网:https://www.duoyinsu.com/

安全问答社区

安全问答社区

脉搏官方公众号

脉搏公众号